Bug 432129 - Reporter Can't Close Bug
Reporter Can't Close Bug
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
2.18
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 18:25 EST by Stephen Rasku
Modified: 2013-06-23 22:27 EDT (History)
0 users

See Also:
Fixed In Version: 2.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-28 10:07:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Rasku 2008-02-08 18:25:08 EST
Description of problem:


Version-Release number of selected component (if applicable):
    Bugzilla 2.18-rh

How reproducible:
    100%


Steps to Reproduce:
1. Try and resolve bug you reported (e.g. bug 177547 for me)
  
Actual results:
   I get the following message: "You tried to change the Status field from
NEEDINFO to CLOSED, but only the owner or submitter of the bug, or a autorized
user, may change that field."

Expected results:
   Bug should be closed as I am the reporter of the specified bug.  Also note
that it should be "an authorized user" not "a autorized user".
Comment 1 Matěj Cepl 2008-02-10 05:05:27 EST
I believe that it should be enough for you just to comment on the bug, attach
patch, and the real maintainer should evaluate the patch and close the bug when
she is satisfied with your proposed solution.

I would strongly lobby for WONTFIX in this case.
Comment 2 Noura El hawary 2008-02-10 20:12:43 EST
Hi Stephen,

177547 is a RHEL bug and for that only redhat employees or people who are in the
rhel_beta group can close RHEL bugs.

Noura
Comment 3 Stephen Rasku 2008-02-11 10:58:34 EST
(In reply to comment #1

> I would strongly lobby for WONTFIX in this case.

I am reopening the bug.  Bugzilla is not working as documented.  If that is the
behaviour that you want then the error message should be changed to indicate how
the system actually works.

Comment 6 Noura El hawary 2008-03-28 10:04:59 EDT
(In reply to comment #5)
> (From update of attachment 294613 [details] [edit])
> Patch looks good Noura. Feel free to commit and we can push it in the next
> update.
> 

cool Thanks for the review Dave. committed to cvs now
Comment 7 Noura El hawary 2008-03-28 10:07:12 EDT
clearer error messages applied to the code now that should give clearer idea why
unauthorized bug reporters can not close rhel bugs. should be live when new
bugzilla package is pushed live in about a week.

Closing bug.

Noura

Note You need to log in before you can comment on or make changes to this bug.